.o-instruction-modal {
  // height: 100vh;
  // margin: 0 auto;

  // display: flex !important;
  // align-items: center;
  // justify-content: center;
  margin: auto;

  display: flex !important;
  align-items: center;

  // .rs-modal-sm {
  //   width: 50%;
  // }

  .rs-modal {
    &-content {
      padding: 0;

      border-radius: 0.8rem;
    }

    &-dialog {
      width: 100%;
    }

    &-body {
      margin: 0;
      padding: 0;
      overflow: hidden !important;
    }
  }

  .modal-toggle {
    position: absolute;
    top: 1rem;
    right: 1rem;

    width: 2.4rem;
    height: 2.4rem;

    cursor: pointer;

    z-index: 1;

    img {
      width: 100%;
      height: 100%;

      object-fit: contain;
      object-position: center;
    }
  }

  .modal-content {
    width: 100%;
    padding: 2rem;
    margin: auto !important;
    height: fit-content !important;
    // height: 520px;
    .container-item {
      pointer-events: none;
      user-select: none;
      width: 100%;
      height: 520px;
      display: flex;
      justify-content: center;
      align-items: center;
      .img-item {
        width: 100%;
      }
    }
  }

  .hand-container {
    position: absolute;
    .hand-icon {
      width: 5rem;
      height: 5rem;
      position: absolute;
      animation-name: run;
      animation-iteration-count: infinite;
      animation-duration: 1s;
      img {
        width: 100%;
        height: 100%;
        object-fit: contain;
      }
    }
    .rotate {
      transform: rotate(180deg);
    }
  }

  .checkbox {
    position: absolute;
    bottom: 0;
    left: 1rem;
  }
}

@-webkit-keyframes run {
  0% {
    left: 0;
  }
  50% {
    left: calc(100% - 20px);
  }
  100% {
    left: 0;
  }
}
